> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk create translations

> Creates multiple translation records in a single request (max 30) with support for automatic slug generation for products



## OpenAPI

````yaml /swagger/management-api.json post /api/v1/{team_slug}/{app_slug}/translations/bulk
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/translations/bulk:
    post:
      tags:
        - Translations
      summary: Bulk create translations
      description: >-
        Creates multiple translation records in a single request (max 30) with
        support for automatic slug generation for products
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              items:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.CreateTranslationBody
              type: array
        description: Translation data, max 30 translations
        required: true
      responses:
        '200':
          description: Translations created successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseMessage
        '400':
          description: Invalid request (e.g. bad UUID, validation error)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.CreateTranslationBody:
      properties:
        create_slug:
          description: >-
            if this is true and with the fieldType: name, it will generate a
            slug. Only available to products as of now.
          type: boolean
        field_type:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_database.TranslationFieldType
        language_code:
          description: >-
            Locale code like "en" or "en-gb". The locale also needs to be
            configured and supported by the app.
          type: string
        parent_ref:
          type: string
        parent_type:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_enadhq_nabbit_internal_pkg_database.TranslationType
          enum:
            - product
            - product_bundle
            - product_variant
            - image
            - attribute
            - attribute_value
            - category
            - tag
            - collection
            - file
            - bundle_group
            - video
            - brand
            - variant_group
            - channel_content
        translation:
          type: string
      required:
        - field_type
        - language_code
        - parent_ref
        - translation
      type: object
    internal_pkg_webserver_v1.OkResponseMessage:
      properties:
        data:
          type: string
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    github_com_enadhq_nabbit_internal_pkg_database.TranslationFieldType:
      enum:
        - name
        - value
        - description
        - alt
        - title
        - type
        - copyright
        - slug
        - meta_title
        - meta_description
        - html_description
        - short_description
        - html_short_description
        - key
      type: string
      x-enum-varnames:
        - TranslationFieldTypeName
        - TranslationFieldTypeValue
        - TranslationFieldTypeDescription
        - TranslationFieldTypeAlt
        - TranslationFieldTypeTitle
        - TranslationFieldTypeType
        - TranslationFieldTypeCopyright
        - TranslationFieldTypeSlug
        - TranslationFieldTypeMetaTitle
        - TranslationFieldTypeMetaDescription
        - TranslationFieldTypeHtmlDescription
        - TranslationFieldTypeShortDescription
        - TranslationFieldTypeHtmlShortDescription
        - TranslationFieldTypeKey
    github_com_enadhq_nabbit_internal_pkg_database.TranslationType:
      enum:
        - product
        - product_bundle
        - product_variant
        - channel_content
        - image
        - attribute
        - attribute_value
        - category
        - tag
        - collection
        - file
        - bundle_group
        - video
        - brand
        - variant_group
      type: string
      x-enum-varnames:
        - TranslationTypeProduct
        - TranslationTypeProductBundle
        - TranslationTypeProductVariant
        - TranslationTypeChannelContent
        - TranslationTypeImage
        - TranslationTypeAttribute
        - TranslationTypeAttributeValue
        - TranslationTypeCategory
        - TranslationTypeTag
        - TranslationTypeCollection
        - TranslationTypeFile
        - TranslationTypeBundleGroup
        - TranslationTypeVideo
        - TranslationTypeBrand
        - TranslationTypeVariantGroup

````